Subject: enquire
From: [email-masked] (root)

31 Aug 1997 16:48:59 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
Original-Sender: [email-masked]

> I have a program that generates limits.h and float.h. It is also an
> extremely good compiler tester. You can find it at:
> 
> 	http://www.cwi.nl/~steven/enquire.html
> 
> An earlier version is part of the gcc distribution and apparently was
> used to generate the float.h include file of b18.
> 
> Compiling and running it with b18 causes a run-time failure (and bash
> hangs) with the message:
> 
> 	(ENQUIRE.EXE 1011) In cygwin_except_handler
> 
> I don't know what the 1011 refers to, but if it's a line number, that
> is not where it failed.
> 
> It failed at the point where the program looks to see if dereferencing
> NULL causes a trap (which is done using setjmp, and dereferencing NULL).
> 

What a coincidence!
I downloaded enquire 3 days ago to test my compiler system (lcc-win32) and
I was dismayed that it crashed... in the same place that Cygnus!!!!

Meanwhile I corrected this problem. My system wasn't calling 'raise' 
when a trap occurred, so the workings of 'signal' were impossible. I
corrected this, and enquire runs OK in my system. 

I wish good luck to the friends at cygnus... :-)

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".